Bug 239709 - net-mgmt/flow-tools: Fix build with OpenSSL 1.1.x
Summary: net-mgmt/flow-tools: Fix build with OpenSSL 1.1.x
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords: easy, needs-qa
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2019-08-08 08:25 UTC by Krzysztof
Modified: 2019-08-08 08:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)
koobs: merge-quarterly?


Attachments
flow-tools patch for openssl 1.1.x (1.73 KB, patch)
2019-08-08 08:25 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2019-08-08 08:25:53 UTC
Created attachment 206356 [details]
flow-tools patch for openssl 1.1.x

After upgrade base system to 12.0 flow-tools does not compile because of openssl 1.1.x (in base).

I've found patch which was published on gihub (pld linux project) - https://github.com/pld-linux/flow-tools/blob/master/openssl.patch

I've applied this patch to port. Everything is working good. Portlint does not complain. poudriere returns no errors.

I hope it will be applied soon.